import 'package:flutter/material.dart';
part 'card.dart';

class MyHomePage extends StatefulWidget {
  const MyHomePage({super.key, required this.title});

  final String title;

  @override
  State<MyHomePage> createState() => _MyHomePageState();
}

class _MyHomePageState extends State<MyHomePage> {

  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        backgroundColor: Theme.of(context).colorScheme.inversePrimary,
        title: Text(widget.title),
      ),
      body: const Body(),
    );
  }
}

class Body extends StatelessWidget {
  const Body({super.key});

  @override
  Widget build(BuildContext context) {
    final data = [
      _CardData(text: "Батон",
          info: "Белый хлеб, испечённый в виде продолговатой булки",
          urlImage: "https://hlebzavod3.ru/images/virtuemart/product/011_IMG_9657.jpg"),
      _CardData(text: "Багет",
          info: "Длинный тонкий вид хлеба французского происхождения",
          urlImage: "https://main-cdn.sbermegamarket.ru/big1/hlr-system/13/14/29/23/31/01/100027310078b0.jpg"),
      _CardData(text: "Круассан",
          info: "Небольшое мучное кондитерское изделие, булочка в форме полумесяца из слоёного теста",
          urlImage: "https://shokoladd.ru/wp-content/uploads/2019/02/Croissant_Chocolate_Plate_Two_547531_2048x1152.jpg"),
      _CardData(text: "Чиаба́тта",
          info: "Итальянский пшеничный хлеб, выпекаемый с использованием закваски, дрожжей и оливкового масла",
          urlImage: "https://avatars.mds.yandex.net/i?id=a9163f90a989a596b26b30ad39beaf47_l-10629685-images-thumbs&n=13")
    ];
    return Center(
        child: SingleChildScrollView(
            child: Column(
              mainAxisAlignment: MainAxisAlignment.center,
              children: data.map((e) => _Card.fromData(e)).toList(),
            )
        )
    );
  }
}